Get V1 vault state history
Historical state of a Morpho Vault V1: total assets and shares, withdrawable assets, and share price.
Vault selector example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB (format: <chain_id>:<vault_address>; replace with the target vault).
Enterprise API access
For enterprise access, use https://private.api.morpho.org as the base URL and send your API key in the x-api-key header. Request an API key.
Path Parameters
vault-selector*string
Selector formatted as <chain_id>:<vault_address>. Example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB.
Format
<chain_id>:<vault_address>Query Parameters
lookback?string
Lookback period. Defaults to thirty_days. Historical sampling is selected automatically.
Value in
"one_day" | "seven_days" | "thirty_days" | "ninety_days" | "one_year" | "inception"Response Body
application/json
const baseUrl = process.env.CORE_REST_BASE_URL ?? "https://api.morpho.org";const apiKey = process.env.MORPHO_API_KEY ?? "<MORPHO_API_KEY>";const vaultSelector = "1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB";const url = new URL(`${baseUrl}/v0/vaults-v1/${vaultSelector}/state/history`);url.searchParams.set("lookback", "thirty_days");const response = await fetch(url, { headers: { accept: "application/json", "x-api-key": apiKey, },});if (!response.ok) throw new Error(await response.text());const body = await response.json();{
"params": {
"chain_id": "1",
"vault_address": "0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB"
},
"data": [
{
"timestamp": 1729900800,
"total_assets": "82710000000000",
"total_supply": "81700000000000000000000",
"withdrawable_assets": "9100000000000",
"share_price_ray": "1012363526315789473000000000"
},
{
"timestamp": 1729987200,
"total_assets": "83140000000000",
"total_supply": "81700000000000000000000",
"withdrawable_assets": "9300000000000",
"share_price_ray": "1017625458996328029000000000"
}
],
"last_indexed_block": "19847234"
}